<?php
global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2,$lang;
$sys_info=$lang['dboperate_getinfo.str1'];
$url="javascript:void(window.history.back(-1))";
$reback=$lang['dboperate_getinfo.str2'];
$update1=$lang['dboperate_getinfo.str3'];
$update2=$lang['dboperate_getinfo.str4'];
$del1=$lang['dboperate_getinfo.str5'];
$del2=$lang['dboperate_getinfo.str6'];
$add1=$lang['dboperate_getinfo.str7'];
$add2=$lang['dboperate_getinfo.str8'];
function getinfo_update($sql){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
	if($sql){
		show_msg($sys_info,$update1,1,'','',$url,$reback);
	exit;
	}
	else{
		show_msg($sys_info,$update2,0,'','',$url,$reback);
	exit;
	}
}
function getinfo_del($sql){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
	if($sql){
		show_msg($sys_info,$del1,1,'','',$url,$reback);
	exit;
	}
	else{
		show_msg($sys_info,$del2,0,'','',$url,$reback);
	exit;
	}
}
function getinfo_add($sql){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
	if($sql){
		show_msg($sys_info,$add1,1,'','',$url,$reback);
	exit;
	}
	else{
		show_msg($sys_info,$add2,0,'','',$url,$reback);
	exit;
	}
}
function getinfo_editsuccee(){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
		show_msg($sys_info,$update1,1,'','',$url,$reback);
	exit;
}
function getinfo_editfalse(){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
		show_msg($sys_info,$update2,0,'','',$url,$reback);
	exit;
}
function getinfo_delsuccee(){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
		show_msg($sys_info,$del1,1,'','',$url,$reback);
	exit;
}
function getinfo_delfalse(){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
		show_msg($sys_info,$del2,0,'','',$url,$reback);
	exit;
}
function getinfo_addsuccee(){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
		show_msg($sys_info,$add1,1,'','',$url,$reback);
	exit;
}
function getinfo_addfalse(){
	global $sys_info,$url,$reback,$update1,$update2,$del1,$del2,$add1,$add2;
		show_msg($sys_info,$add2,0,'','',$url,$reback);
	exit;
}
function page_info($pagesize){
	global $page_size,$page,$total,$page_count,$offset,$p;
	$page_size=$pagesize;
	if ($page=="" or $page<1)
		$page=1;
	 $page_count=ceil($total/$page_size);
	if ($page>$page_count)
		$page=$page_count;
	$offset=$page;
	if( $offset < 1 ) $offset = 1;
}
?>